Module gengeo :: Class TriPatchSet

[hide private]
[frames] | no frames]

# Class TriPatchSet

     object --+
              |
    ??.instance --+
                  |
                 TriPatchSet

A collection of triangular patches defining a joint set

Instance Methods | [hide private]

__init__(...) x.__init__(...) initializes x; see help(type(x)) for signature |

__reduce__(...) helper for pickle |

addTriangle(...) Adds a triangle by specifying corner coordinates |

Vector3

getMaxPoint(...) Returns maximum corner of the joint set bounding box |

Vector3

getMinPoint(...) Returns minimum corner of the joint set bounding box |

int

isCrossing(...) Checks if the line between two specified points crosses a triangle. |

Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `76`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __reduce__(...)

helper for pickle

Overrides: object.__reduce__
  (inherited documentation)

### addTriangle(...)

Adds a triangle by specifying corner coordinates

Parameters:
  - `Point1` (Vector3) - location of first corner of the triangle
  - `Point2` (Vector3) - location of second corner of the triangle
  - `Point3` (Vector3) - location of third corner of the triangle
  - `tag` (int) - the tag to assign to the triangle

### isCrossing(...)

Checks if the line between two specified points crosses a triangle. If so, the triangle tag is returned; if not, -1.

Parameters:
  - `Point1` (Vector3) - location of first corner of the triangle
  - `Point2` (Vector3) - location of second corner of the triangle
Returns: int